#include "vision.h"


// 1- 60
std::vector<int> getVisionPattern1d()
{
    return {5,4,6};
}


int getMove1d(std::vector<int> v)
{

    int mid = v.size()/2;
    if ( v[mid] == 5 && v[mid+1] == 4 ) return mid+1;
    else if (  v[mid] == 5 && v[mid-1] == 4 )  return mid-1;

     if ( v[mid] == 4 && v[mid+1] == 6 ) return mid+1;
    else if (  v[mid] == 4 && v[mid-1] == 6 )  return mid-1;

     if ( v[mid] == 6 && v[mid+1] == 5 ) return mid+1;
    else if (  v[mid] == 6 && v[mid-1] == 5 )  return mid-1;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
